1.36.20 throwing an error.

Discussions related to the 1.36.x series of ZoneMinder
Post Reply
Ralphred
Posts: 32
Joined: Fri Jul 08, 2022 12:23 pm

1.36.20 throwing an error.

Post by Ralphred »

From tail -f /var/log/apache2/*

Code: Select all

==> /var/log/apache2/ssl_error_log <==
[Wed Jul 13 19:59:46.153805 2022] [php:error] [pid 32031:tid 139771447862848] [client 10.0.0.2:43914] PHP Fatal error:  Uncaught Error: Undefined constant "ZM_LOCALE_DEFAULT" in /usr/share/zoneminder/www/includes/config.php:149\nStack trace:\n#0 /usr/share/zoneminder/www/index.php(46): require_once()\n#1 {main}\n  thrown in /usr/share/zoneminder/www/includes/config.php on line 149
I could probably "hacky fix" this, but people here know a better way I'm sure...
Magic919
Posts: 1381
Joined: Wed Sep 18, 2013 6:56 am

Re: 1.36.20 throwing an error.

Post by Magic919 »

Start by reading the release notes ^
-
Ralphred
Posts: 32
Joined: Fri Jul 08, 2022 12:23 pm

Re: 1.36.20 throwing an error.

Post by Ralphred »

Magic919 wrote: Wed Jul 13, 2022 8:12 pm Start by reading the release notes ^
Which bit are you referring to?
I used "hacky fix" but others may not want to.
User avatar
iconnor
Posts: 2897
Joined: Fri Oct 29, 2010 1:43 am
Location: Toronto
Contact:

Re: 1.36.20 throwing an error.

Post by iconnor »

I suspect that zmupdate.pl -f was not run.
Ralphred
Posts: 32
Joined: Fri Jul 08, 2022 12:23 pm

Re: 1.36.20 throwing an error.

Post by Ralphred »

iconnor wrote: Wed Jul 13, 2022 10:51 pm I suspect that zmupdate.pl -f was not run.
I ran it without the -f, stumbled, applied a hacky fix, got as far as options>>system and sorted out the new fields, had more errors in the mean time, found the only references to the ZM_[SOME_VARIABLE] (in the errors) in the perl modules, ran it with the -f, but then never knew if it was options>>system that fixed it or the update.pl -f.

What is it that actually generates /etc/zm.conf?
I don't know if I should be generating it as part of an ebuild, or generating it locally and including some default variant of it as part of the ebuild's files.
VladSI
Posts: 8
Joined: Mon May 01, 2017 9:33 pm

Re: 1.36.20 throwing an error.

Post by VladSI »

Make sure you have the intl dll set to load in php.ini (apache2 in my case).
Ralphred
Posts: 32
Joined: Fri Jul 08, 2022 12:23 pm

Re: 1.36.20 throwing an error.

Post by Ralphred »

VladSI wrote: Thu Jul 14, 2022 1:40 amsnip
Done, thanks, it wasn't set.
aj3
Posts: 28
Joined: Fri Aug 30, 2019 5:47 pm

Re: 1.36.20 throwing an error.

Post by aj3 »

iconnor wrote: Wed Jul 13, 2022 10:51 pm I suspect that zmupdate.pl -f was not run.
Thank you!
I just installed a scratch-new server with Debian10, and Zoneminder 1.36.20 as of right now.
I then dumped my old zoneminder 1.34 database into the new installation.
I ran zmupdate.pl and ran into problems.

I then, using iconnor's post, ran: zmupdate.pl -f
And now almost all is good in the world.
Thank you!
Post Reply